/* 
 * pass6.c - pass to check cross-chunk links for chunkfs
 *
 * Copyright (C) 2006 Amit Gud <gud@ksu.edu>
 *
 */

#include <stdio.h>

#include "ext2_fs.h"
#include "e2fsck.h"
#include "problem.h"
#include "chunkfs.h"

void e2fsck_final_pass(e2fsck_t ctx)
{
	struct problem_context pctx;

#ifdef MTRACE
	mtrace_print("Pass Final");
#endif
	if (!(ctx->options & E2F_OPT_PREEN))
		fix_problem(ctx, PR_FINAL_PASS_HEADER, &pctx);
	check_cnodes();
}

